Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractElement.Entry

    java.lang.Object
      org.apache.batik.dom.AbstractElement.Entry

All Implemented Interfaces:
  Serializable

Enclosing class:
  AbstractElement

    protected static class AbstractElement.Entry

extends Object
implements Serializable

To manage collisions in the attributes map. Implements a linked list of `Node`-objects.

See Also:
  Serialized Form

Field Summary
`int` | `hash` The hash code, must not change after creation.
`String` | `name` The node name.
`String` | `namespaceURI` The namespace URI
`AbstractElement.Entry` | `next` The next entry
`Node` | `value` The value

Constructor Summary
`AbstractElement.Entry(int hash, String ns, String nm, Node value, AbstractElement.Entry next)` Creates a new entry

Method Summary
`boolean` | `match(String ns, String nm)` Whether this entry match the given keys.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code, must not change after creation.

### namespaceURI

    public String namespaceURI

  The namespace URI

### name

    public String name

  The node name.

### value

    public Node value

  The value

### next

    public AbstractElement.Entry next

  The next entry

Constructor Detail

### AbstractElement.Entry

    public AbstractElement.Entry(int hash,
                                 String ns,
                                 String nm,
                                 Node value,
                                 AbstractElement.Entry next)

  Creates a new entry

Method Detail

### match

    public boolean match(String ns,
                         String nm)

  Whether this entry match the given keys.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.